org.apache.hadoop.io.compress

## Interface DirectDecompressionCodec

- All Superinterfaces:
    CompressionCodec
  All Known Implementing Classes:
    DefaultCodec, DeflateCodec, GzipCodec, SnappyCodec, ZStandardCodec

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface DirectDecompressionCodec
      extends CompressionCodec

  This class encapsulates a codec which can decompress direct bytebuffers.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.io.compress.CompressionCodec

      `CompressionCodec.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectDecompressor` | `createDirectDecompressor()` Create a new `DirectDecompressor` for use by this `DirectDecompressionCodec`.

    - ### Methods inherited from interface org.apache.hadoop.io.compress.CompressionCodec

      `createCompressor, createDecompressor, createInputStream, createInputStream, createOutputStream, createOutputStream, getCompressorType, getDecompressorType, getDefaultExtension`

- - ### Method Detail

    - #### createDirectDecompressor

          DirectDecompressor createDirectDecompressor()

      Create a new `DirectDecompressor` for use by this `DirectDecompressionCodec`.
      Returns:
        a new direct decompressor for use by this codec

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.